package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.Cacheserver;
import com.lightinit.hsdataplatformresdir.entity.CacheserverExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface CacheserverMapper {
    long countByExample(CacheserverExample example);

    int deleteByExample(CacheserverExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Cacheserver record);

    int insertSelective(Cacheserver record);

    List<Cacheserver> selectByExample(CacheserverExample example);

    Cacheserver selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Cacheserver record, @Param("example") CacheserverExample example);

    int updateByExample(@Param("record") Cacheserver record, @Param("example") CacheserverExample example);

    int updateByPrimaryKeySelective(Cacheserver record);

    int updateByPrimaryKey(Cacheserver record);
}